import {createRouter, createWebHistory} from 'vue-router';

import MainPage from '@/Food/main'//主页
import Login from '@/Food/login'//登录页
import Intro from '@/Food/introPage'//简介页面
import Bidding from '@/Food/biddingInformationPage'//竞价信息页面
import Grain from '@/Food/grainDepotManagementPage'//粮库管理页面
import Rules from '@/Food/rulesPage'//规则页面
import Supplier from '@/Food/supplierManagementPage'//供应商管理页面
import UserManager from '@/Food/userManagementPage'//用户管理页面
import Tender from "@/Food/tenderDetailsPage"//招标详情页面
// import Tabs from "@/Food/tabsPage"//标签选项
import Expert from "@/Food/expertReviewPage" //专家评审页面

const router = createRouter({
    history: createWebHistory(),
    routes: [
        {
            path: '/main',
            name: "MainPage",
            component: MainPage,
            redirect:'/introPage',//设置默认跳转
            children: [{
                path: "/introPage",
                name: "intro",
                component: Intro,
            }, {
                path: "/biddingInformationPage",
                name: "bidding",
                component: Bidding,
            }, {
                path: "/grainDepotManagementPage",
                name: "grain",
                component: Grain,
            }, {
                path: "/rulesPage",
                name: "rules",
                component: Rules,
            }, {
                path: "/supplierManagementPage",
                name: "supplier",
                component: Supplier,
            }, {
                path: "/userManagementPage",
                name: "userManagement",
                component: UserManager,
            },{
                path: "/tenderDetailsPage",
                name: "tenderDetailsPage",
                component: Tender,
            },{
                path: "/expertReviewPage",
                name: "expertReviewPage",
                component: Expert,
            }]
        }, {
            path: "/login",
            name: "login",
            component: Login,
        },
    ],
});

export default router;