import { createApp } from 'vue'
import App from '../App.vue'
const app = createApp(App);
import Vuex from 'vuex'
app.use(Vuex);
const state ={
    username: '明世隐',
    userState:0,
    menu_data:[],
    isLoadRoute:false,
    editableTabsValue: 'introPage',
    editableTabs: [
        {
            title: '首页',
            name: 'introPage',
            content: '首页'
        }
    ],
    breadCounting : 0,
    breadMenuCounting : 0,
}
const mutations ={
    setUser (state, name) {
        state.username = name
    },
    addEditableTabs(state,tab){
        //根据tab.name 查询 editableTabs 是否已经存在
        let idx = state.editableTabs.findIndex(item=>item.name===tab.name)
        if(idx===-1){//不存在则可以添加
            state.editableTabs.push({
                title: tab.title,
                name: tab.name
            })
        }
        state.editableTabsValue = tab.name
    }
}
export default new Vuex.Store({
    state,
    mutations
})
